/*
 *      Program do przegladania logow z ekg.
 *      Rozne komendy.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "com_various.hh"
#include "ui.hh"

/*
 * command_quit::run()
 *
 * wywoluje dzialanie dla komendy quit - argumenty nie sa sprawdzane
 */
void command_quit::run(const std::vector<std::string> &argv) {
    throw quit_exception();
}


const std::vector<std::string>& 
command_quit::completition(void) {
    return _completition;
}

const std::vector<std::string> &
command_quit::complete(const std::string &arg) {
    return _completition;
}


/*
 * pomoc
 */
std::string command_quit::help_short(void) {
    return " \\c710quit\\d    - koczy dziaanie programu"
;
}

std::string command_quit::help_long(void) {
    return " komenda \\c710quit\\d koczy dziaanie programu";
}
