/*
 *      Program do przegladania logow z ekg.
 *      Obsluga wiekszosci bledow.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ERRORS_HH__
#define __ERRORS_HH__


#include <cstdarg>
#include <iostream>
#include <cstdio>

#include <vector>

#include "config.hh"

/* podstawowa klasa dla wszystkich wyjatkow */
class ekglog_exception {};


void error_exit(char *fmt, ...);
void error_notice(char *fmt, ...);

extern std::vector<std::string> errors;

#endif /* __ERRORS_HH__ */
